Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.rtf
Class BorderAttributesConverter

    java.lang.Object
      org.apache.fop.render.rtf.BorderAttributesConverter

    public final class BorderAttributesConverter

extends java.lang.Object

Constants for RTF border attribute names, and a static method for converting fo attribute strings.

Method Summary
`static java.lang.String` | `convertAttributetoRtf(int iBorderStyle)`
`static void` | `makeBorder(CommonBorderPaddingBackground border, int side, RtfAttributes attributes, java.lang.String controlWord)` Create a border control word in attributes, with border properties as specified in color, style and width.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### makeBorder

    public static void makeBorder(CommonBorderPaddingBackground border,
                                  int side,
                                  RtfAttributes attributes,
                                  java.lang.String controlWord)

  Create a border control word in attributes, with border properties as specified in color, style and width.

  Parameters:
    `border` - The CommonBorderPaddingBackground object.
    `side` - The START, END, BEFORE, AFTER enum from CommonBorderPaddingBackground.
    `attributes` - The attributes list to set the border control word.
    `controlWord` - The border control word.

### convertAttributetoRtf

    public static java.lang.String convertAttributetoRtf(int iBorderStyle)

  Parameters:
    `iBorderStyle` - the border style to be converted
  Returns:
    String with the converted border style

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.